​
Select Service
ves-io-schema-authentication-API-Get
Published April 5, 2023 | Last modified June 11, 2026
Examples of getting authentication
Usecase:
Get apigw-1
Request using vesctl:
vesctl configuration get authentication apigw-1 --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: apigw-1 namespace: documentationreferringObjects: []resourceVersion: "376"spec: cookieParams: cookieExpiry: 3600 cookieRefreshInterval: 3000 sessionExpiry: 3600 oidcAuth: clientSecret: {} oidcClientId: oidc-google-clientid oidcWellKnownConfigUrl: https://www.azure.com/well_known/configstatus: []systemMetadata: creationTimestamp: "2026-04-13T01:59:07.035609Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 19f982e5-b443-4aed-85d5-4f31daba3947Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/authentications/apigw-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 1218Content-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:07 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "376", "metadata": { "name": "apigw-1", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "19f982e5-b443-4aed-85d5-4f31daba3947", "creation_timestamp": "2026-04-13T01:59:07.035609Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "oidc_auth": { "oidc_well_known_config_url": "https://www.azure.com/well_known/config", "oidc_client_id": "oidc-google-clientid", "client_secret": { "blindfold_secret_info_internal": null, "secret_encoding_type": "EncodingNone" } }, "cookie_params": { "cookie_refresh_interval": 3000, "cookie_expiry": 3600, "session_expiry": 3600 } }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}